Package org.apache.sling.graphql.helpers.lazyloading

# Class LazyLoadingMap.Stats

java.lang.Object
org.apache.sling.graphql.helpers.lazyloading.LazyLoadingMap.Stats

Enclosing class:
  LazyLoadingMap<K,T>

public class LazyLoadingMap.Stats extends Object
Statistics on Supplier usage

## Constructor Summary

Constructors
Constructor
Description
`Stats()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getSuppliersCallCount()`
`int`
`getUnusedSuppliersCount()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Stats

public Stats()

## Method Details

### getSuppliersCallCount

public int getSuppliersCallCount()

### getUnusedSuppliersCount

public int getUnusedSuppliersCount()